error when Building widget dealing with ArcGis

0
Hi , i’m trying to build a  widget dealing with ArcGis Maps , after installing the module , i tried only to import the module as per ArcGis Documentation :  import Map from "@arcgis/core/Map ; when running the build command i got this error : Without `from` option PostCSS could generate wrong source map and will not find Browserslist config. Set it to CSS file path or to `undefined` to prevent this warning.[BABEL] Note: The code generator has deoptimised the styling of C:\Users\aalkharshga\Documents\Mendix\Training_Part2-main\customWidget\mapEsr\node_modules\@arcgis\core\chunks\geometryEngineBase.js as it exceeds the max of 500KB. [BABEL] Note: The code generator has deoptimised the styling of C:\Users\aalkharshga\Documents\Mendix\Training_Part2-main\customWidget\mapEsr\node_modules\@esri\calcite-components\dist\custom-elements\index.mjs as it exceeds the max of 500KB. [!] Error: When building multiple chunks, the "output.dir" option must be used, not "output.file". To inline dynamic imports, set the "inlineDynamicImports" option. Error: When building multiple chunks, the "output.dir" option must be used, not "output.file". To inline dynamic imports, set the "inlineDynamicImports" option   i’m using plugable mendix generator (jsx)    
asked
1 answers
0

Did you see my (still Dojo based) ArcGIS module in the Marketplace? Or are there things you are missing in that widget?

I am working an a new version in React using the Pluggable widgets API. Will be out before end of year. Perhaps you can wait for that?

Building this widget was hard work, so just wanted to let you know if you also want to develop such a thing. 

answered